#!/bin/bash -e

echo "======================= Installing gcc 9.3.0 ======================"
add-apt-repository ppa:ubuntu-toolchain-r/test
apt-get update
apt-get install -y \
  gcc-9=9* \
  g++-9=9*
update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-9 90 --slave /usr/bin/g++ g++ /usr/bin/g++-9
update-alternatives --install /usr/bin/gcov gcov /usr/bin/gcov-9 90
gcc --version
echo "================== Successfully Installed gcc 9.3.0 ==============="

echo "=================== Install packages for cpp ======================"

apt-get install && apt-get install -y \
  autoconf \
  automake \
  ccache \
  libssl-dev

CLANG_VERSION=9.0.0
echo "==================== Installing clang $CLANG_VERSION ==============="
wget -nv http://releases.llvm.org/"$CLANG_VERSION"/clang+llvm-"$CLANG_VERSION"-x86_64-linux-gnu-ubuntu-18.04.tar.xz
tar xf clang+llvm-"$CLANG_VERSION"-x86_64-linux-gnu-ubuntu-18.04.tar.xz
cd clang+llvm-"$CLANG_VERSION"-x86_64-linux-gnu-ubuntu-18.04
cp -R * /usr/local/
cd ../
clang --version
echo "============= Successfully Installed clang $CLANG_VERSION ==========="
